package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.entity.Refund;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.RefundSearchModel;

import java.util.List;

public interface IRefundService {
    List<Refund> queryList(RefundSearchModel refundSearchModel, BaseExample.Page pager);

    long queryCount(RefundSearchModel refundSearchModel);

    ResultState add(Refund inputModel);

    ResultState<Long> delete(long id);

    Object queryOne(long id);

    ResultState edit(Refund inputModel);

    Object detail(long id);
}
